AC(1)

NUME
ac - afișează statistici despre timpul de conectare al utilizatorilor

SINOPSIS

ac  [ -d | --daily-totals ] [ -y | --print-year ]
    [ -p | --individual-totals ] [ persoane ]
    [ -f | --file nume-fișier ] [ -a | --all-days ]
    [ --complain ] [ --reboots ] [ --supplants ]
    [ --timewarps ] [ --compatibility ]
    [ --tw-leniency număr ] [ --tw-suspicious număr ]
    [ -z | --print-zeros ] [ --debug ]
    [ -V | --version ] [ -h | --help ]

DESCRIERE

ac afișează un raport al timpului de conectare (în ore) bazat pe datele de conectare/ieșire din fișierul curent wtmp. Se afișează, de asemenea, un total.

Fișierul de contabilitate wtmp este gestionat de init(8) și login(1). Nici ac și nici login nu creează wtmp, dacă nu există, nu se face contabilizarea. Pentru a începe contabilizarea, creați fișierul cu o lungime de zero.

NOTĂ: Fișierul wtmp poate deveni foarte mare, foarte repede. Este posibil să doriți să îl scurtați din când în când.

GNU ac funcționează aproape la fel ca UNIX ac, deși este puțin mai inteligent în mai multe privințe. Prin urmare, ar trebui să vă așteptați la diferențe între ieșirea lui GNU ac și ieșirea lui ac de pe alte sisteme. Folosiți comanda info accounting pentru a obține informații suplimentare.

OPȚIUNI
-d, --daily-totals
    Imprimă totalurile pentru fiecare zi în parte, în loc de un singur
     total mare la sfârșit. Rezultatul arată în felul următor:
            Iul 3 total 1.17
            Iul 4 total 2.10
            Iul 5 total 8.23
            Iul 6 total 2.10
            Iul 7 total 0.30
-p, --individual-totals
    Imprimă totalurile de timp pentru fiecare utilizator în plus față de valoarea obișnuită „totul adunat într-unul”. Aceasta arată astfel:
persoane
    Afișează suma totală a timpului de conectare utilizat de toți utilizatorii incluși în persoane. Rețineți că persoane este o listă de nume de utilizatori valide separate prin spații; nu sunt permise caractere joker.
-f, --file nume-fișier
    Citește din fișierul nume-fișier în loc din fișierul wtmp al sistemului.
--complain
    Atunci când fișierul wtmp are o problemă (o abatere de timp, o înregistrare lipsă sau orice altceva), se imprimă o eroare corespunzătoare.
--reboots
    Înregistrările de repornire NU sunt scrise în momentul repornirii, ci atunci când sistemul este repornit; prin urmare, este imposibil să se știe exact când a avut loc repornirea. Este posibil ca utilizatorii să fi fost conectați la sistem în momentul repornirii, iar multe ac-uri numără automat timpul dintre autentificare și înregistrarea repornirii în detrimentul utilizatorului (chiar dacă tot acest timp nu ar trebui să fie, poate, dacă sistemul este oprit pentru o perioadă lungă de timp, de exemplu). Dacă doriți să contabilizați acest timp, includeți opțiunea --reboots. *Pentru compatibilitate cu ac „vanilla”, includeți această opțiune.*
--supplants
    Uneori, nu este scrisă o înregistrare de deconectare pentru un anumit terminal, astfel încât timpul pe care l-a acumulat ultimul utilizator nu poate fi calculat. Dacă doriți să includeți timpul de la autentificarea utilizatorului până la următoarea autentificare pe terminal (deși probabil incorect), includeți această opțiune. *Pentru compatibilitate cu ac „vanilla”, includeți această opțiune.*
--timewarps
    Uneori, intrările dintr-un fișier wtmp se întorc brusc în trecut fără să se înregistreze o schimbare a ceasului. Este imposibil să se știe cât timp a fost conectat un utilizator atunci când se întâmplă acest lucru. Dacă doriți să numărați timpul dintre conectare și salt în timp în defavoarea utilizatorului, includeți această opțiune. *Pentru compatibilitate cu ac „vanilla”, includeți acest indicator.
--compatibility
    Aceasta este o prescurtare pentru tastarea celor trei opțiuni de mai sus.
-a, --all-days
    Dacă se imprimă totalurile zilnice, imprimă o înregistrare pentru fiecare zi, în loc să sară peste zilele intermediare în care nu există activitate de conectare. Fără această opțiune, timpul acumulat în acele zile intermediare este listat în următoarea zi în care există activitate de conectare.
--tw-leniency număr
    Stabilește toleranța de abatere a timpului la num secunde. Înregistrările din fișierele wtmp ar putea fi ușor dezordonate (mai ales atunci când au loc două conectări într-o perioadă de o secundă - cea de-a doua este scrisă prima). În mod implicit, această valoare este fixată la 60. Dacă programul observă această problemă, timpul nu este atribuit utilizatorilor, cu excepția cazului în care se utilizează opțiunea --timewarps.
--tw-suspicious număr
    Stabilește valoarea suspicioasă a deviației temporale la num secunde. În cazul în care două înregistrări din fișierul wtmp sunt la o distanță mai mare decât acest număr de secunde, există o problemă cu fișierul wtmp (sau mașina dumneavoastră nu a mai fost utilizată de un an). Dacă programul observă această problemă, timpul nu este atribuit utilizatorilor, cu excepția cazului în care se utilizează opțiunea --timewarps.
-y, --print-year
    Imprimă anul la afișarea datelor.
-z, --print-zeros
    În cazul în care totalul oricărei categorii (cu excepția totalului general) este zero, îl imprimă. Valoarea implicită este de a suprima imprimarea.
--debug
    Afișează informații interne detaliate.
-V, --version
    Afișează numărul versiunii ac la ieșirea standard și iese.
-h, --help
    Afișează șirul de utilizare și locațiile implicite ale fișierelor de sistem la ieșirea standard și iese.

FIȘIERE
wtmp
    Fișierul de înregistrare a datelor de conectare la nivel de sistem. A se vedea wtmp(5) pentru mai multe detalii.

AUTOR
Utilitățile de conturi GNU au fost scrise de Noel Cragg <noel@gnu.ai.mit.edu>. Pagina de manual a fost adaptată din pagina texinfo de conturi de Susan Kleinmann <sgk@sgk.tiac.net>.

CONSULTAȚI ȘI
login(1), wtmp(5), init(8), sa(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.
Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.